summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Hunter Sezen2019-02-08 14:54:44 +0100
committer Willy Sudiarto Raharjo2019-02-08 14:54:44 +0100
commit329245f397a3551f5eb2040c9f8edac62483da83 (patch)
tree0b837e9af37394c63ad453c68fc6112fa0b17cd5
parent06a99f4aa15c8cfec1fa88e58579d7760bd548f4 (diff)
downloadslackbuilds-329245f397a3551f5eb2040c9f8edac62483da83.tar.gz
system/loksh: Added doinst.sh.
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--system/loksh/doinst.sh8
-rw-r--r--system/loksh/loksh.SlackBuild9
2 files changed, 13 insertions, 4 deletions
diff --git a/system/loksh/doinst.sh b/system/loksh/doinst.sh
new file mode 100644
index 0000000000..84285f3b07
--- /dev/null
+++ b/system/loksh/doinst.sh
@@ -0,0 +1,8 @@
+if [ ! -r etc/shells ]; then
+ touch etc/shells
+ chmod 644 etc/shells
+fi
+
+if ! grep -q /bin/loksh etc/shells ; then
+ printf %s\\n /bin/loksh >> etc/shells
+fi
diff --git a/system/loksh/loksh.SlackBuild b/system/loksh/loksh.SlackBuild
index 267dfa915c..dd948e5be7 100644
--- a/system/loksh/loksh.SlackBuild
+++ b/system/loksh/loksh.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for loksh
-# Copyright 2018 Hunter Sezen California, USA
+# Copyright 2018-2019 Hunter Sezen California, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -24,7 +24,7 @@
PRGNAM=loksh
VERSION=${VERSION:-6.4}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
TAG=${TAG:-_SBo}
if [ -z "$ARCH" ]; then
@@ -83,8 +83,8 @@ make install \
mkdir -p $PKG/usr/bin
ln -s /bin/$PRGNAM $PKG/usr/bin/$PRGNAM
-find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
- | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" |
+ grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
find $PKG/usr/man -type f -exec gzip -9 {} \;
for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
@@ -94,6 +94,7 @@ cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
cd $PKG
/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}